=== gsa/CMakeLists.txt ===
# Copyright (C) 2016-2020 Greenbone Networks GmbH
#
# SPDX-License-Identifier: AGPL-3.0-or-later
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.

cmake_minimum_required (VERSION 3.0)

message ("-- Configuring gsa")

project (gsa VERSION 20.8.0 LANGUAGES)

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

find_package (Node 10.0 REQUIRED)
find_package (Yarn 1.0)

if (NOT DEFINED PROJECT_VERSION_STRING)
   set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/../cmake)
   include (ProjectVersion)
endif()

if (NOT DATADIR)
    set (DATADIR "${CMAKE_INSTALL_PREFIX}/share")
endif (NOT DATADIR)

set (GSA_BUILD_DIR ${CMAKE_CURRENT_SOURCE_DIR}/build)

if (NOT GSA_DEST_DIR)
    set (GSA_DEST_DIR ${DATADIR}/gvm/gsad/web)
endif (NOT GSA_DEST_DIR)

set (GSA_SRC_DIR ${CMAKE_CURRENT_SOURCE_DIR})

set (GSA_PKG_FILES
     ${GSA_SRC_DIR}/package.json)

if (NOT YARN_FOUND)
  MESSAGE (WARNING "Yarn package manager not found. Please install "
    "yarn for reproducible builds (see https://yarnpkg.com/en/docs/install). "
    "Trying to use npm instead.")
  find_package (Npm REQUIRED)
  set (INSTALLER ${NPM_EXECUTABLE})
else (NOT YARN_FOUND)
  set (INSTALLER ${YARN_EXECUTABLE})
  if (YARN_OFFLINE)
    set (INSTALLER_ARGS "--offline")
    MESSAGE( STATUS "Using Yarn in offline mode")
  endif (YARN_OFFLINE)
  list (APPEND GSA_PKG_FILES ${GSA_SRC_DIR}/yarn.lock)
endif (NOT YARN_FOUND)

message (STATUS "Building gsa version ${PROJECT_VERSION_STRING}")

set (GSA_STATIC_SRC_FILES
     ${GSA_SRC_DIR}/public/index.html)

set (GSA_JS_SRC_FILES
     ${GSA_SRC_DIR}/src/index.js
     ${GSA_SRC_DIR}/src/gmp/cancel.js
     ${GSA_SRC_DIR}/src/gmp/capabilities/capabilities.js
     ${GSA_SRC_DIR}/src/gmp/capabilities/everything.js
     ${GSA_SRC_DIR}/src/gmp/collection/collectioncounts.js
     ${GSA_SRC_DIR}/src/gmp/collection/parser.js
     ${GSA_SRC_DIR}/src/gmp/command.js
     ${GSA_SRC_DIR}/src/gmp/commands/alerts.js
     ${GSA_SRC_DIR}/src/gmp/commands/audits.js
     ${GSA_SRC_DIR}/src/gmp/commands/auth.js
     ${GSA_SRC_DIR}/src/gmp/commands/certbund.js
     ${GSA_SRC_DIR}/src/gmp/commands/cpes.js
     ${GSA_SRC_DIR}/src/gmp/commands/credentials.js
     ${GSA_SRC_DIR}/src/gmp/commands/cves.js
     ${GSA_SRC_DIR}/src/gmp/commands/cvsscalculator.js
     ${GSA_SRC_DIR}/src/gmp/commands/dashboards.js
     ${GSA_SRC_DIR}/src/gmp/commands/dfncert.js
     ${GSA_SRC_DIR}/src/gmp/commands/entities.js
     ${GSA_SRC_DIR}/src/gmp/commands/entity.js
     ${GSA_SRC_DIR}/src/gmp/commands/feedstatus.js
     ${GSA_SRC_DIR}/src/gmp/commands/filters.js
     ${GSA_SRC_DIR}/src/gmp/commands/gmp.js
     ${GSA_SRC_DIR}/src/gmp/commands/groups.js
     ${GSA_SRC_DIR}/src/gmp/commands/hosts.js
     ${GSA_SRC_DIR}/src/gmp/commands/http.js
     ${GSA_SRC_DIR}/src/gmp/commands/infoentities.js
     ${GSA_SRC_DIR}/src/gmp/commands/infoentity.js
     ${GSA_SRC_DIR}/src/gmp/commands/login.js
     ${GSA_SRC_DIR}/src/gmp/commands/notes.js
     ${GSA_SRC_DIR}/src/gmp/commands/nvt.js
     ${GSA_SRC_DIR}/src/gmp/commands/os.js
     ${GSA_SRC_DIR}/src/gmp/commands/ovaldefs.js
     ${GSA_SRC_DIR}/src/gmp/commands/overrides.js
     ${GSA_SRC_DIR}/src/gmp/commands/permissions.js
     ${GSA_SRC_DIR}/src/gmp/commands/policies.js
     ${GSA_SRC_DIR}/src/gmp/commands/portlists.js
     ${GSA_SRC_DIR}/src/gmp/commands/reportformats.js
     ${GSA_SRC_DIR}/src/gmp/commands/reports.js
     ${GSA_SRC_DIR}/src/gmp/commands/results.js
     ${GSA_SRC_DIR}/src/gmp/commands/roles.js
     ${GSA_SRC_DIR}/src/gmp/commands/scanconfigs.js
     ${GSA_SRC_DIR}/src/gmp/commands/scanners.js
     ${GSA_SRC_DIR}/src/gmp/commands/schedules.js
     ${GSA_SRC_DIR}/src/gmp/commands/tags.js
     ${GSA_SRC_DIR}/src/gmp/commands/targets.js
     ${GSA_SRC_DIR}/src/gmp/commands/tasks.js
     ${GSA_SRC_DIR}/src/gmp/commands/tickets.js
     ${GSA_SRC_DIR}/src/gmp/commands/tlscertificates.js
     ${GSA_SRC_DIR}/src/gmp/commands/trashcan.js
     ${GSA_SRC_DIR}/src/gmp/commands/users.js
     ${GSA_SRC_DIR}/src/gmp/commands/vulns.js
     ${GSA_SRC_DIR}/src/gmp/gmp.js
     ${GSA_SRC_DIR}/src/gmp/gmpsettings.js
     ${GSA_SRC_DIR}/src/gmp/http/gmp.js
     ${GSA_SRC_DIR}/src/gmp/http/http.js
     ${GSA_SRC_DIR}/src/gmp/http/rejection.js
     ${GSA_SRC_DIR}/src/gmp/http/response.js
     ${GSA_SRC_DIR}/src/gmp/http/transform/default.js
     ${GSA_SRC_DIR}/src/gmp/http/transform/fastxml.js
     ${GSA_SRC_DIR}/src/gmp/http/utils.js
     ${GSA_SRC_DIR}/src/gmp/index.js
     ${GSA_SRC_DIR}/src/gmp/locale/date.js
     ${GSA_SRC_DIR}/src/gmp/locale/detector.js
     ${GSA_SRC_DIR}/src/gmp/locale/lang.js
     ${GSA_SRC_DIR}/src/gmp/locale/languages.js
     ${GSA_SRC_DIR}/src/gmp/locale/index.js
     ${GSA_SRC_DIR}/src/gmp/log.js
     ${GSA_SRC_DIR}/src/gmp/model.js
     ${GSA_SRC_DIR}/src/gmp/models/actionresult.js
     ${GSA_SRC_DIR}/src/gmp/models/alert.js
     ${GSA_SRC_DIR}/src/gmp/models/asset.js
     ${GSA_SRC_DIR}/src/gmp/models/audit.js
     ${GSA_SRC_DIR}/src/gmp/models/certbund.js
     ${GSA_SRC_DIR}/src/gmp/models/cpe.js
     ${GSA_SRC_DIR}/src/gmp/models/credential.js
     ${GSA_SRC_DIR}/src/gmp/models/cve.js
     ${GSA_SRC_DIR}/src/gmp/models/date.js
     ${GSA_SRC_DIR}/src/gmp/models/dfncert.js
     ${GSA_SRC_DIR}/src/gmp/models/event.js
     ${GSA_SRC_DIR}/src/gmp/models/filter.js
     ${GSA_SRC_DIR}/src/gmp/models/filter/convert.js
     ${GSA_SRC_DIR}/src/gmp/models/filter/filterterm.js
     ${GSA_SRC_DIR}/src/gmp/models/filter/keywords.js
     ${GSA_SRC_DIR}/src/gmp/models/filter/utils.js
     ${GSA_SRC_DIR}/src/gmp/models/group.js
     ${GSA_SRC_DIR}/src/gmp/models/host.js
     ${GSA_SRC_DIR}/src/gmp/models/info.js
     ${GSA_SRC_DIR}/src/gmp/models/login.js
     ${GSA_SRC_DIR}/src/gmp/models/note.js
     ${GSA_SRC_DIR}/src/gmp/models/nvt.js
     ${GSA_SRC_DIR}/src/gmp/models/os.js
     ${GSA_SRC_DIR}/src/gmp/models/ovaldef.js
     ${GSA_SRC_DIR}/src/gmp/models/override.js
     ${GSA_SRC_DIR}/src/gmp/models/permission.js
     ${GSA_SRC_DIR}/src/gmp/models/policy.js
     ${GSA_SRC_DIR}/src/gmp/models/portlist.js
     ${GSA_SRC_DIR}/src/gmp/models/reportformat.js
     ${GSA_SRC_DIR}/src/gmp/models/report.js
     ${GSA_SRC_DIR}/src/gmp/models/report/app.js
     ${GSA_SRC_DIR}/src/gmp/models/report/cve.js
     ${GSA_SRC_DIR}/src/gmp/models/report/host.js
     ${GSA_SRC_DIR}/src/gmp/models/report/os.js
     ${GSA_SRC_DIR}/src/gmp/models/report/parser.js
     ${GSA_SRC_DIR}/src/gmp/models/report/port.js
     ${GSA_SRC_DIR}/src/gmp/models/report/report.js
     ${GSA_SRC_DIR}/src/gmp/models/report/task.js
     ${GSA_SRC_DIR}/src/gmp/models/report/tlscertificate.js
     ${GSA_SRC_DIR}/src/gmp/models/result.js
     ${GSA_SRC_DIR}/src/gmp/models/role.js
     ${GSA_SRC_DIR}/src/gmp/models/scanconfig.js
     ${GSA_SRC_DIR}/src/gmp/models/scanner.js
     ${GSA_SRC_DIR}/src/gmp/models/schedule.js
     ${GSA_SRC_DIR}/src/gmp/models/secinfo.js
     ${GSA_SRC_DIR}/src/gmp/models/settings.js
     ${GSA_SRC_DIR}/src/gmp/models/tag.js
     ${GSA_SRC_DIR}/src/gmp/models/target.js
     ${GSA_SRC_DIR}/src/gmp/models/task.js
     ${GSA_SRC_DIR}/src/gmp/models/ticket.js
     ${GSA_SRC_DIR}/src/gmp/models/tlscertificate.js
     ${GSA_SRC_DIR}/src/gmp/models/user.js
     ${GSA_SRC_DIR}/src/gmp/models/vulnerability.js
     ${GSA_SRC_DIR}/src/gmp/parser.js
     ${GSA_SRC_DIR}/src/gmp/timezones.js
     ${GSA_SRC_DIR}/src/gmp/utils/array.js
     ${GSA_SRC_DIR}/src/gmp/utils/entitytype.js
     ${GSA_SRC_DIR}/src/gmp/utils/event.js
     ${GSA_SRC_DIR}/src/gmp/utils/id.js
     ${GSA_SRC_DIR}/src/gmp/utils/identity.js
     ${GSA_SRC_DIR}/src/gmp/utils/number.js
     ${GSA_SRC_DIR}/src/gmp/utils/object.js
     ${GSA_SRC_DIR}/src/gmp/utils/string.js
     ${GSA_SRC_DIR}/src/gmp/utils/trace.js
     ${GSA_SRC_DIR}/src/web/app.js
     ${GSA_SRC_DIR}/src/web/components/badge/badge.js
     ${GSA_SRC_DIR}/src/web/components/bar/compliancestatusbar.js
     ${GSA_SRC_DIR}/src/web/components/bar/menubar.js
     ${GSA_SRC_DIR}/src/web/components/bar/progressbar.js
     ${GSA_SRC_DIR}/src/web/components/bar/severitybar.js
     ${GSA_SRC_DIR}/src/web/components/bar/statusbar.js
     ${GSA_SRC_DIR}/src/web/components/bar/titlebar.js
     ${GSA_SRC_DIR}/src/web/components/bar/toolbar.js
     ${GSA_SRC_DIR}/src/web/components/chart/axis.js
     ${GSA_SRC_DIR}/src/web/components/chart/bar.js
     ${GSA_SRC_DIR}/src/web/components/chart/bubble.js
     ${GSA_SRC_DIR}/src/web/components/chart/donut.js
     ${GSA_SRC_DIR}/src/web/components/chart/donut/arc2d.js
     ${GSA_SRC_DIR}/src/web/components/chart/donut/arc3d.js
     ${GSA_SRC_DIR}/src/web/components/chart/donut/labels.js
     ${GSA_SRC_DIR}/src/web/components/chart/donut/paths.js
     ${GSA_SRC_DIR}/src/web/components/chart/donut/pie.js
     ${GSA_SRC_DIR}/src/web/components/chart/donut/proptypes.js
     ${GSA_SRC_DIR}/src/web/components/chart/group.js
     ${GSA_SRC_DIR}/src/web/components/chart/label.js
     ${GSA_SRC_DIR}/src/web/components/chart/legend.js
     ${GSA_SRC_DIR}/src/web/components/chart/line.js
     ${GSA_SRC_DIR}/src/web/components/chart/schedule.js
     ${GSA_SRC_DIR}/src/web/components/chart/svg.js
     ${GSA_SRC_DIR}/src/web/components/chart/tooltip.js
     ${GSA_SRC_DIR}/src/web/components/chart/topology.js
     ${GSA_SRC_DIR}/src/web/components/chart/utils/arc.js
     ${GSA_SRC_DIR}/src/web/components/chart/utils/constants.js
     ${GSA_SRC_DIR}/src/web/components/chart/utils/path.js
     ${GSA_SRC_DIR}/src/web/components/chart/utils/update.js
     ${GSA_SRC_DIR}/src/web/components/chart/wordcloud.js
     ${GSA_SRC_DIR}/src/web/components/comment/comment.js
     ${GSA_SRC_DIR}/src/web/components/dashboard/controls.js
     ${GSA_SRC_DIR}/src/web/components/dashboard/dashboard.js
     ${GSA_SRC_DIR}/src/web/components/dashboard/display/created/createddisplay.js
     ${GSA_SRC_DIR}/src/web/components/dashboard/display/created/createdtransform.js
     ${GSA_SRC_DIR}/src/web/components/dashboard/display/createDisplay.js
     ${GSA_SRC_DIR}/src/web/components/dashboard/display/cvss/cvssdisplay.js
     ${GSA_SRC_DIR}/src/web/components/dashboard/display/cvss/cvsstabledisplay.js
     ${GSA_SRC_DIR}/src/web/components/dashboard/display/cvss/cvsstransform.js
     ${GSA_SRC_DIR}/src/web/components/dashboard/display/datadisplay.js
     ${GSA_SRC_DIR}/src/web/components/dashboard/display/datadisplayicons.js
     ${GSA_SRC_DIR}/src/web/components/dashboard/display/datatable.js
     ${GSA_SRC_DIR}/src/web/components/dashboard/display/datatabledisplay.js
     ${GSA_SRC_DIR}/src/web/components/dashboard/display/display.js
     ${GSA_SRC_DIR}/src/web/components/dashboard/display/filterselection.js
     ${GSA_SRC_DIR}/src/web/components/dashboard/display/severity/severityclassdisplay.js
     ${GSA_SRC_DIR}/src/web/components/dashboard/display/severity/severityclasstabledisplay.js
     ${GSA_SRC_DIR}/src/web/components/dashboard/display/severity/severityclasstransform.js
     ${GSA_SRC_DIR}/src/web/components/dashboard/display/status/statusdisplay.js
     ${GSA_SRC_DIR}/src/web/components/dashboard/display/utils.js
     ${GSA_SRC_DIR}/src/web/components/dashboard/display/withFilterSelection.js
     ${GSA_SRC_DIR}/src/web/components/dashboard/registry.js
     ${GSA_SRC_DIR}/src/web/components/dashboard/utils.js
     ${GSA_SRC_DIR}/src/web/components/dialog/button.js
     ${GSA_SRC_DIR}/src/web/components/dialog/composercontent.js
