=== debian/changelog ===
greenbone-security-assistant (20.8.0-2) unstable; urgency=medium

  * Team upload.

  [ Sophie Brun ]
  * Fix debian/copyright: some files are GPL-2+
  * Fix greenbone-security-assistant.service (Closes: #982955)

 -- Raphaël Hertzog <raphael@offensive-security.com>  Mon, 22 Feb 2021 15:45:39 +0100

greenbone-security-assistant (20.8.0-1) unstable; urgency=medium

  * Note for ftpmasters: we move the package to contrib because it can no
    longer be built with what's in Debian main only. It needs to download many
    DFSG-free node modules during build of the arch all package (arch any
    build is still self-contained).

  [ Samuel Henrique ]
  * Add salsa-ci.yml
  * Configure git-buildpackage for Debian

  [ Sophie Brun ]
  * New upstream version 9.0.1
  * Update build-deps: use libgvm-dev (Closes: #971709)
  * Update package description
  * Remove useless patch
  * Update debian files for new upstream release
  * Update debian/copyright
  * Don't repack source: no incompatible-DFSG files
  * Change GVM_RUN_DIR to /var/run/gvm to allow access for user _gvm
  * Update service and init
  * Update logrotate to keep access for _gvm user
  * Remove debian/source/lintian-overrides
  * Remove old useless workaround in debian/rules
  * Remove override_dh_auto_test
  * service: add User and Group _gvm
  * New upstream version 20.8.0
  * Add a patch to allow skipping node build
  * Improve build to skip node build when arch any
  * Try to build only arch any package
  * Remove useless husky reference in package.json
  * Switch to contrib section
  * Bump Standards-Version
  * Remove old and obsolete init script (Closes: #939922, #911972, #939921)

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Bump debhelper from old 11 to 12. + debian/rules: Rely on default use of
    dh_missing rather than using dh_install --list-missing.
  * Set debhelper-compat version in Build-Depends.
  * Replace /var/run with /run for the Service PIDFile.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Drop transition for old debug package migration.

  [ SZ Lin (林上智) ]
  * Update uploaders field
  * Update debian/copyright

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 14 Dec 2020 14:27:38 +0100
