=== debian/control ===
Source: greenbone-security-assistant
Section: contrib/admin
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>
Build-Depends: debhelper-compat (= 12),
               cmake (>= 2.8),
	       clang-format,
	       cppcheck,
               libmicrohttpd-dev (>= 0.9.0),
               libgvm-dev (>= 20.8.0),
               libxslt1-dev,
               doxygen,
	       xmltoman,
               pkg-config,
               libxml2-dev
Build-Depends-Indep: nodejs,
                     npm
Standards-Version: 4.5.1
Homepage: https://www.greenbone.net
Vcs-Git: https://salsa.debian.org/pkg-security-team/greenbone-security-assistant.git
Vcs-Browser: https://salsa.debian.org/pkg-security-team/greenbone-security-assistant

Package: greenbone-security-assistant-common
Architecture: all
Recommends: greenbone-security-assistant
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: architecture independent files for greenbone-security-assistant
 The Greenbone Security Assistant is a web application that
 connects to the Greenbone Vulnerability Manager and OpenVAS Administrator
 to provide for a full-featured user interface for
 vulnerability management.
 .
 This package contains the common greenbone-security-assistant
 files shared by all architectures.

Package: greenbone-security-assistant
Architecture: any
Depends: lsb-base (>= 3.0-6),
         greenbone-security-assistant-common (= ${source:Version}),
         gvmd,
         ${shlibs:Depends},
         ${misc:Depends}
Description: remote network security auditor - web interface
 The Greenbone Security Assistant is a web application that
 connects to the Greebone Vulnerability Manager and OpenVAS Administrator
 to provide for a full-featured user interface for
 vulnerability management.
