=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export HOME = $(CURDIR)/debian/home

$(CURDIR)/debian/home:
	mkdir -p $(CURDIR)/debian/home

%: $(CURDIR)/debian/home
	dh $@

override_dh_auto_configure:
	echo $(shell dh_listpackages)
ifeq ($(filter greenbone-security-assistant-common,$(shell dh_listpackages)),)
	dh_auto_configure -- -DCMAKE_INSTALL_PREFIX=/usr -DSYSCONFDIR=/etc -DLOCALSTATEDIR=/var -DCMAKE_BUILD_TYPE=release -DGVM_RUN_DIR=/var/run/gvm -DSKIP_NODE_BUILD=true
else
	dh_auto_configure -- -DCMAKE_INSTALL_PREFIX=/usr -DSYSCONFDIR=/etc -DLOCALSTATEDIR=/var -DCMAKE_BUILD_TYPE=release -DGVM_RUN_DIR=/var/run/gvm
endif

override_dh_install:
	dh_install -XLICENSE

override_dh_installinit:
	dh_installinit --no-start
