## greenbone-security-assistant 20.8.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -22,7 +22,7 @@
 # VERSION: Set patch version for stable releases, e.g. "9.0.1",
 #          unset patch version for prereleases, e.g. "9.0"
 project (greenbone-security-assistant
-         VERSION 20.8.0)
+         VERSION 20.8.1)
 
 SET(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake)
