=== gsa/CMakeLists.txt ===
--- 
+++ 
@@ -19,7 +19,7 @@
 
 message ("-- Configuring gsa")
 
-project (gsa VERSION 20.8.0 LANGUAGES)
+project (gsa VERSION 20.8.1 LANGUAGES)
 
 set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
