=== gsad/CMakeLists.txt ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 message ("-- Configuring gsad")
 
-project (gsad VERSION 20.8.0 LANGUAGES C)
+project (gsad VERSION 20.8.1 LANGUAGES C)
 
 if (NOT DEFINED PROJECT_VERSION_STRING)
    set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/../cmake)
