## greenbone-security-assistant 21.4.4

=== debian/changelog ===
greenbone-security-assistant (21.4.4-1) unstable; urgency=medium

  * New upstream version 21.4.4
  * Refresh patches
  * Update debian/*: upstream moved gsad to another package

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 03 May 2022 15:26:09 +0200

greenbone-security-assistant (21.4.3-1) unstable; urgency=medium

  * New upstream version 21.4.3
  * Bump Standards-Version to 4.6.0 (no changes)

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 04 Jan 2022 14:53:52 +0100

greenbone-security-assistant (21.4.2-1) unstable; urgency=medium

  * New upstream version 21.4.2 (Closes: #986549)
  * Update minimal required version of libgvm-dev
  * Refresh patches
  * Update debian/copyright

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 30 Aug 2021 16:50:23 +0200
