=== debian/control ===
Source: greenbone-security-assistant
Section: contrib/admin
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>
Build-Depends: debhelper-compat (= 12),
               yarnpkg
Standards-Version: 4.6.0
Homepage: https://www.greenbone.net
Vcs-Git: https://salsa.debian.org/pkg-security-team/greenbone-security-assistant.git
Vcs-Browser: https://salsa.debian.org/pkg-security-team/greenbone-security-assistant

Package: greenbone-security-assistant-common
Architecture: all
Section: contrib/oldlibs
Depends: ${misc:Depends}, greenbone-security-assistant
Description: transitional package
 This package can be removed safely.

Package: greenbone-security-assistant
Architecture: all
Depends: ${misc:Depends}
Replaces: greenbone-security-assistant-common (<< 21.4.4)
Breaks: greenbone-security-assistant-common (<< 21.4.4)
Multi-Arch: foreign
Description: remote network security auditor - web interface
 The Greenbone Security Assistant is a web application that connects to the
 Greenbone Vulnerability Manager and OpenVAS Administrator to provide for a
 full-featured user interface for vulnerability management.
